part of navigine_api;

class Beacon {
  // int id = 0, zoneId;
  // double x = 0.0, y = 0.0 kx = 0.0, ky = 0.0;
  // int location = 0;
  // int subLocation = 0;
  // int major = 0;
  // int minor = 0;
  // String uuid = "";
  // String description = "";
  // double realX=0, realY =0;
  // String pw = 0;
  // String bt;
  // int txPower;

  int id = 0;
  int location = 0;
  int subLocation = 0;
  int major = 0;
  int minor = 0;
  String uuid = "";
  String name = "";
  int power = 0;
  double x = 0.0;
  double y = 0.0;
  double kx = 0.0, ky = 0.0;
  int battery = 0;
  int isUsed = 0;

  static Beacon fromMap(var data) {
    print(data);
    return Beacon()
      ..id = data["id"]
      ..location = data["location"]
      ..subLocation = data["subLocation"]
      ..major = data["major"]
      ..minor = data["minor"]
      ..uuid = data["uuid"]
      ..name = data["name"]
      ..power = data["power"]
      ..x = data["x"]
      ..y = data["y"]
      ..kx = double.parse(data["kx"].toString())
      ..ky = double.parse(data["ky"].toString())
      ..battery = data["battery"]
      ..isUsed = data["isUsed"];
  }

  toMap() {
    return {
      "id": id,
      "location": location,
      "subLocation": subLocation,
      "major": major,
      "minor": minor,
      "uuid": uuid,
      "name": name,
      "power": power,
      "x": x,
      "y": y,
      "battery": battery,
      "isUsed": isUsed,
    };
  }
}
